<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ADSL -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_edb1b7e8f1a5d5a1b864206edd6d398d.html">ADSL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>ADSL &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in ADSL</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_processor_8h.html">DirectiveProcessor.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_directive_8h.html">AVSDirective.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_processor_8h.html">DirectiveProcessor.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_directive_handler_interface_8h.html">DirectiveHandlerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_router_8h.html">DirectiveRouter.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_namespace_and_name_8h.html">NamespaceAndName.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_router_8h.html">DirectiveRouter.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_directive_handler_configuration_8h.html">DirectiveHandlerConfiguration.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_router_8h.html">DirectiveRouter.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_handler_and_policy_8h.html">HandlerAndPolicy.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_router_8h.html">DirectiveRouter.h</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_requires_shutdown_8h.html">RequiresShutdown.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_sequencer_8h.html">DirectiveSequencer.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_interface_8h.html">ExceptionEncounteredSenderInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_directive_sequencer_8h.html">DirectiveSequencer.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_directive_sequencer_interface_8h.html">DirectiveSequencerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_message_interpreter_8h.html">MessageInterpreter.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_exception_encountered_sender_interface_8h.html">ExceptionEncounteredSenderInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_message_interpreter_8h.html">MessageInterpreter.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_directive_sequencer_interface_8h.html">DirectiveSequencerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0ad8890ca26b658b7f4a1511f46d3706.html">include</a>&#160;/&#160;<a class="el" href="dir_02d2e4cabccc4f164a834c9d2dadd160.html">ADSL</a>&#160;/&#160;<a class="el" href="_message_interpreter_8h.html">MessageInterpreter.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_message_observer_interface_8h.html">MessageObserverInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="dir_d86d748ec05cd243cab7cd79a40f06a5.html">ADSL</a>&#160;/&#160;<a class="el" href="_a_d_s_l_2test_2_a_d_s_l_2_mock_directive_sequencer_8h.html">MockDirectiveSequencer.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_a_v_s_directive_8h.html">AVSDirective.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="dir_d86d748ec05cd243cab7cd79a40f06a5.html">ADSL</a>&#160;/&#160;<a class="el" href="_a_d_s_l_2test_2_a_d_s_l_2_mock_directive_sequencer_8h.html">MockDirectiveSequencer.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_directive_sequencer_interface_8h.html">DirectiveSequencerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="dir_02335798eec36b71c251fc26ad440772.html">common</a>&#160;/&#160;<a class="el" href="_mock_directive_handler_8h.html">MockDirectiveHandler.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_directive_handler_interface_8h.html">DirectiveHandlerInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="dir_02335798eec36b71c251fc26ad440772.html">common</a>&#160;/&#160;<a class="el" href="_mock_directive_handler_8h.html">MockDirectiveHandler.h</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_namespace_and_name_8h.html">NamespaceAndName.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_directive_processor_8cpp.html">DirectiveProcessor.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_exception_error_type_8h.html">ExceptionErrorType.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_directive_processor_8cpp.html">DirectiveProcessor.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_directive_processor_8cpp.html">DirectiveProcessor.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_directive_router_8cpp.html">DirectiveRouter.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_directive_sequencer_8cpp.html">DirectiveSequencer.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="_exception_error_type_8h.html">ExceptionErrorType.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_directive_sequencer_8cpp.html">DirectiveSequencer.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_directive_sequencer_8cpp.html">DirectiveSequencer.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_metrics_8h.html">Metrics.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_message_interpreter_8cpp.html">MessageInterpreter.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="_metrics_8h.html">Metrics.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_99303cc3415eda953ebb4b3ec1044c53.html">src</a>&#160;/&#160;<a class="el" href="_message_interpreter_8cpp.html">MessageInterpreter.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_directive_processor_test_8cpp.html">DirectiveProcessorTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8h.html">AttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_directive_processor_test_8cpp.html">DirectiveProcessorTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_directive_handler_result_8h.html">MockDirectiveHandlerResult.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_directive_router_test_8cpp.html">DirectiveRouterTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8h.html">AttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_directive_router_test_8cpp.html">DirectiveRouterTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_directive_handler_result_8h.html">MockDirectiveHandlerResult.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_directive_sequencer_test_8cpp.html">DirectiveSequencerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8h.html">AttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_directive_sequencer_test_8cpp.html">DirectiveSequencerTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_directive_handler_result_8h.html">MockDirectiveHandlerResult.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_message_interpreter_test_8cpp.html">MessageInterpreterTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a>&#160;/&#160;<a class="el" href="dir_a8d3deb3c1282038af9ce4454694c1e1.html">include</a>&#160;/&#160;<a class="el" href="dir_4c314a0d19d1aa5c860795d42a926e2c.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_1b86ff6fe19386d1d992f6fa0aca02b2.html">AVS</a>&#160;/&#160;<a class="el" href="dir_16fdf1dd5a4e411cf30486cba4ef2640.html">Attachment</a>&#160;/&#160;<a class="el" href="_attachment_manager_8h.html">AttachmentManager.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_643f80818ad84cb2dca1de60fca00683.html">test</a>&#160;/&#160;<a class="el" href="_message_interpreter_test_8cpp.html">MessageInterpreterTest.cpp</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_1ddd86bfa39359b35ed671234e3560e0.html">test</a>&#160;/&#160;<a class="el" href="dir_779cd95c25bfd22c62255d2dc75909ee.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_fd08e2d492364730d424f6256176d09b.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="_mock_exception_encountered_sender_8h.html">MockExceptionEncounteredSender.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
